---
Name: mycustomextensions
---
SilverStripe\Admin\LeftAndMain:
  extra_requirements_css:
    - themes/mytheme/css/font-awesome/css/font-awesome.min.css
#    - 'till/mycustomextensions: css/jquery-ui.css'
    - 'till/mycustomextensions: css/cms.scss'
#  extra_requirements_javascript:
#    - 'till/mycustomextensions: javascript/cms.js'







#Shortcodable:
  # essential - classes that your want to be shortcodable
#  shortcodable_classes:
#    - ImageGallery
  # optional - additional htmleditorfields
#  htmleditor_names:
#    - cms

#SilverStripe\Forms\HTMLEditor\HTMLEditorField\HtmlEditorField:
#  extensions:
#    - CustomHtmlEditorFieldExtension


Silverstripe\SiteConfig\SiteConfig:
  extensions:
#    - Pixelparker\Extensions\SiteConfigExtension
#    - TractorCow\Fluent\Extension\FluentExtension
    - CustomSiteConfig


PageController:
  extensions:
    - LayoutController

#dljoseph\MaintenanceMode\UtilityPageController:
#  extensions:
#    - MyUtilityPageController


#dljoseph\MaintenanceMode\UtilityPage:
#  extensions:
##    - MyUtilityPageExtension


#SilverStripe\Security\Member:
#  extensions:
#    - MemberExtension


#MyElementPage:
#  allowed_elements:
#    - DNADesign\Elemental\Models\ElementContent
#    - PanImageElement
#    - SliderElement
#    - VideoElement
#  extensions:
#    - DNADesign\Elemental\Extensions\ElementalPageExtension

#DNADesign\Elemental\Models\ElementContent:
#  inline_editable: false

#DNADesign\Elemental\Models\BaseElement:
#  controller_template: 'MyElementHolder'



#SilverStripe\CMS\Model\SiteTree:
#  extensions:
#    - GoogleAnalyticsExtender




#BetterBrief\GoogleMapField:
#  default_options:
#    api_key: 'AIzaSyBMGZIIbLte5qy8kZJEii9ZkyQ88kjhVDE'


#Symbiote\MemberProfiles\Pages\MemberApprovalController:
  # Redirect the user to the 'admin/Security' member edit page instead
  # of immediately approving after visiting the approve link.
#  redirect_to_admin: true



#ImageManipulation
#SilverStripe\Assets\Image:
#  extensions:
#    - OGImageExtension

SilverStripe\Core\Injector\Injector:
  SilverStripe\Assets\Image:
    class: OGImageExtension
#  SilverStripe\Forms\HTMLEditor\HTMLEditorField\HtmlEditorField:
#    class: SimpleHTMLEditorConfig


---
Name: MinifierConfig
After:
  - requestprocessors
#  - myelementalsliderblockconfig
---

Middleware:
  enable: true
  enable_in_dev: true



SilverStripe\Core\Injector\Injector:
  SilverStripe\Control\Director:
    properties:
      Middlewares:
        CustomCDNMiddleware: '%$Middleware'









